CVE-2019-8324

Public on 2019-07-18
Modified on 2019-08-12
Description
A flaw was found in RubyGems. A crafted gem with a multi-line name is not handled correctly allowing an attacker to inject arbitrary code to the stub line of gemspec. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Severity
Important
CVSS v3 Base Score
7.2
See breakdown

Affected Packages

Platform Package Release Date Advisory
Amazon Linux 2 ruby 2019-07-18 18:14 ALAS2-2019-1249
Amazon Linux 1 ruby20 2019-08-07 22:58 ALAS-2019-1255
Amazon Linux 1 ruby21 2019-08-07 22:58 ALAS-2019-1255
Amazon Linux 1 ruby24 2019-08-07 22:58 ALAS-2019-1255

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 7.2 CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
NVD CVSSv2 6.8 AV:N/AC:M/Au:N/C:P/I:P/A:P
NVD CVSSv3 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H